commit:     6aa4fc47c6d170e342318b97064a0c9589918d3a
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Fri Jul 20 17:31:27 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct  1 18:43:26 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6aa4fc47

dev-python/statsmodels: bump to 0.9.0

and updated live ebuild

Signed-off-by: Horea Christian <horea.christ <AT> gmail.com>
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9297

 dev-python/statsmodels/Manifest                 |   1 +
 dev-python/statsmodels/metadata.xml             |   8 ++
 dev-python/statsmodels/statsmodels-0.9.0.ebuild | 100 ++++++++++++++++++++++++
 dev-python/statsmodels/statsmodels-9999.ebuild  |   6 +-
 4 files changed, 112 insertions(+), 3 deletions(-)

diff --git a/dev-python/statsmodels/Manifest b/dev-python/statsmodels/Manifest
index 6476cb6ad79..ebd4d461ab4 100644
--- a/dev-python/statsmodels/Manifest
+++ b/dev-python/statsmodels/Manifest
@@ -1,2 +1,3 @@
 DIST statsmodels-0.6.1.tar.gz 6980841 BLAKE2B 
5ac16df0fc06d051cc79d037bd3a9b097526498a48cdc0bf750babd5915f27a0dea23d8869a5101c62bb780ec0c54c503a766c7da6db59fb8d10dc65c70268b1
 SHA512 
9047b8cf4b9d19bd697867cecef1c4608fd86f3d16e67e44d8c152e1e25918f5aff6b4843c58395e71614be401551e3e48d4dcf158480cbdb45d9735b1c5ea77
 DIST statsmodels-0.8.0.tar.gz 9464851 BLAKE2B 
f4bcf38c0292dcdfef9e3e34519f4dff004795bf76f54773f551c6c767f16f9cee0a2756408cff6f727df8eebc269bccf2c8bd28915a729eb022eba34831628e
 SHA512 
32bb7f36acc16796c445e5f695d958af4525fbbb2d374376fb4a73c972e3796fad05532456cef4aa5ee59d6fce11921174e17bbfc2e05d2488ce1ceac5175239
+DIST statsmodels-0.9.0.tar.gz 12658359 BLAKE2B 
1b451edc281ac8bfd35441d7f31ff02c7068b854c06a5e50fcb6fb2ff3c023bbee264a25407078f99ca08e467676a32c1a0156dec668673bad3e8d7a46a95154
 SHA512 
a0310129ee915dce5006e4e40190d19c3a09facad398ff089fa4a244d51a035f9591267fd8d34a00ce82e4cab893df96787596f9d350d878e97a0bb3305f1bd5

diff --git a/dev-python/statsmodels/metadata.xml 
b/dev-python/statsmodels/metadata.xml
index cb9b89704bd..72014447a73 100644
--- a/dev-python/statsmodels/metadata.xml
+++ b/dev-python/statsmodels/metadata.xml
@@ -9,6 +9,14 @@
     <email>[email protected]</email>
     <name>Gentoo Mathematics Project</name>
   </maintainer>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Horea Christian</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
   <longdescription lang="en">
     statsmodels is a Python module that allows users to explore data,
     estimate statistical models, and perform statistical tests. An

diff --git a/dev-python/statsmodels/statsmodels-0.9.0.ebuild 
b/dev-python/statsmodels/statsmodels-0.9.0.ebuild
new file mode 100644
index 00000000000..95b3326d4d7
--- /dev/null
+++ b/dev-python/statsmodels/statsmodels-0.9.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Statistical computations and models for use with SciPy"
+HOMEPAGE="https://www.statsmodels.org/stable/index.html";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+COMMON_DEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       >=dev-python/pandas-0.23.0[${PYTHON_USEDEP}]
+       dev-python/patsy[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/jupyter_client[${PYTHON_USEDEP}]
+               dev-python/matplotlib[${PYTHON_USEDEP}]
+               dev-python/nbconvert[${PYTHON_USEDEP}]
+               dev-python/nbformat[${PYTHON_USEDEP}]
+               dev-python/numpydoc[${PYTHON_USEDEP}]
+               dev-python/sphinx[${PYTHON_USEDEP}]
+       )
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               )
+"
+
+python_prepare_all() {
+       # Prevent un-needed d'loading
+       sed -e "/sphinx.ext.intersphinx/d" -i docs/source/conf.py || die
+       export VARTEXFONTS="${T}"/fonts
+       export MPLCONFIGDIR="${T}"
+       echo "backend : Agg" > "${MPLCONFIGDIR}"/matplotlibrc || die
+       if use test; then
+               # Errors reported upstream: 
https://github.com/statsmodels/statsmodels/issues/4850
+               rm statsmodels/tsa/tests/test_tsa_indexes.py || die
+               sed -i -e \
+                       "/def 
test_start_params_bug():/[email protected](reason='Known to fail on 
Gentoo')" \
+                       statsmodels/tsa/tests/test_arima.py || die
+               sed -i -e \
+                       "s/def test_pandas_endog():/def 
_test_pandas_endog():/g" \
+                       statsmodels/tsa/statespace/tests/test_mlemodel.py || die
+               sed -i -e \
+                       "/def 
test_all_datasets():/[email protected](reason='Known to fail on Gentoo')" \
+                       statsmodels/datasets/tests/test_data.py || die
+               sed -i -e \
+                       "/def 
test_issue_339():/[email protected](reason='Known to fail on Gentoo')" \
+                       statsmodels/discrete/tests/test_discrete.py || die
+               sed -i \
+                       -e "s/def test_hdr_multiple_alpha():/def 
_test_hdr_multiple_alpha():/g" \
+                       statsmodels/graphics/tests/test_functional.py || die
+               sed -i \
+                       -e '1s/^/import pytest \n/' \
+                       -e "/def 
test_single_factor_repeated_measures_anova():/[email protected](reason='Known
 to fail on Gentoo with Python 3')" \
+                       -e "/def 
test_two_factors_repeated_measures_anova():/[email protected](reason='Known
 to fail on Gentoo with Python 3')" \
+                       -e "/def 
test_three_factors_repeated_measures_anova():/[email protected](reason='Known
 to fail on Gentoo with Python 3')" \
+                       -e "/def 
test_repeated_measures_aggregate_compare_with_ezANOVA():/[email protected](reason='Known
 to fail on Gentoo with Python 3')" \
+                       statsmodels/stats/tests/test_anova_rm.py || die
+       fi
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && esetup.py build_sphinx -b html --build-dir=docs/build
+}
+
+python_test() {
+       cd "${BUILD_DIR}" || die
+       py.test -v || die
+}
+
+python_install_all() {
+       find . -name \*LICENSE.txt -delete || die
+       use doc && HTML_DOCS=( docs/build/html/. )
+       if use examples; then
+               docompress -x /usr/share/doc/${PF}/examples
+               dodoc -r examples
+       fi
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       optfeature "Plotting functionality" "dev-python/matplotlib"
+}

diff --git a/dev-python/statsmodels/statsmodels-9999.ebuild 
b/dev-python/statsmodels/statsmodels-9999.ebuild
index a3afaa73d94..51855998071 100644
--- a/dev-python/statsmodels/statsmodels-9999.ebuild
+++ b/dev-python/statsmodels/statsmodels-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
 
 inherit distutils-r1 git-r3 virtualx
 
@@ -38,7 +38,7 @@ DEPEND="${CDEPEND}
                dev-python/numpydoc[${PYTHON_USEDEP}]
                dev-python/sphinx[${PYTHON_USEDEP}]
        )
-       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
 "
 
 python_prepare_all() {
@@ -60,7 +60,7 @@ python_compile_all() {
 
 python_test() {
        cd "${BUILD_DIR}" || die
-       virtx nosetests -v || die
+       ${EPYTHON} -c 'import statsmodels; statsmodels.test(exit=True)' || die
 }
 
 python_install_all() {

Reply via email to